Loading...
Searching...
No Matches
Ogre::RaySceneQueryResultEntry Struct Reference
Core » Scene

This struct allows a single comparison of result data no matter what the type. More...

`#include <OgreSceneQuery.h>`

## Public Member Functions

bool | operator< (const RaySceneQueryResultEntry &rhs) const
| Comparison operator for sorting.

## Public Attributes

Real | distance
| Distance along the ray.
MovableObject * | movable
| The movable, or NULL if this is not a movable result.
SceneQuery::WorldFragment * | worldFragment
| Only relevant for the BSP Scene Manager. The world fragment, or NULL if this is not a fragment result.

## Detailed Description

This struct allows a single comparison of result data no matter what the type.

## Member Function Documentation

## operator<()

bool Ogre::RaySceneQueryResultEntry::operator< | ( | const RaySceneQueryResultEntry & | rhs | ) | const

inline

Comparison operator for sorting.

References distance.

## Member Data Documentation

## distance

Real Ogre::RaySceneQueryResultEntry::distance

Distance along the ray.

Referenced by operator<().

## movable

MovableObject* Ogre::RaySceneQueryResultEntry::movable

The movable, or NULL if this is not a movable result.

## worldFragment

SceneQuery::WorldFragment* Ogre::RaySceneQueryResultEntry::worldFragment

Only relevant for the BSP Scene Manager. The world fragment, or NULL if this is not a fragment result.

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h